Subject: Re: bug#76853: M-b not navigating to the previous word in the prompt string inside Eshell on emacs 30.1

From: Stefan Kangas <[email-masked]>
Date: Mon, 10 Mar 2025 05:41:40 +0000

Hrishikesh S <[email-masked]> writes:

> I see.. Thanks for the response! I will try setting
> `'inhibit-field-text-motion` and test.
>
> I'm used to using `M-b` a lot when I'm inside eshell as it lets me copy
> parts of my current directory when running commands
> (e.g: copy the git branch I'm on before pushing, etc), so found the change
> to be a bit jarring. As long as there is a way
> to get back the old behavior, I have no complaints :)

Thanks, so I guess we can therefore close this bug.

I'm doing that with this message.